import request from "@/utils/request";

// 查询街区管理列表
export function listBlock(query) {
  return request({
    url: "/taicangpop/block/list",
    headers: {
      isToken: false,
    },
    method: "get",
    params: query,
  });
}

// 查询街区管理详细
export function getBlock(id) {
  return request({
    url: "/taicangpop/block/" + id,
    headers: {
      isToken: false,
    },
    method: "get",
  });
}

// 新增街区管理
export function addBlock(data) {
  return request({
    url: "/taicangpop/block",
    headers: {
      isToken: false,
    },
    method: "post",
    data: data,
  });
}

// 修改街区管理
export function updateBlock(data) {
  return request({
    url: "/taicangpop/block",
    headers: {
      isToken: false,
    },
    method: "put",
    data: data,
  });
}

// 删除街区管理
export function delBlock(id) {
  return request({
    url: "/taicangpop/block/" + id,
    headers: {
      isToken: false,
    },
    method: "delete",
  });
}

// 导出街区管理
export function exportBlock(query) {
  return request({
    url: "/taicangpop/block/export",
    headers: {
      isToken: false,
    },
    method: "get",
    params: query,
  });
}

export function getYj(params) {
  return request({
    url: "/taicangpop/tc/getYj",
    method: "get",
    params,
  });
}
